HIGHT::Base Class Reference

HIGHT block cipher transformation functions. More...

Inheritance diagram for HIGHT::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< HIGHT_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

HIGHT block cipher transformation functions.

Provides implementation common to encryption and decryption

Since
  Crypto++ 8.0

Definition at line 45 of file hight.h.

The documentation for this class was generated from the following files:

- hight.h
- hight.cpp